"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseImport = void 0;
const java_parser_1 = require("java-parser");
class ParseImport extends java_parser_1.BaseJavaCstVisitorWithDefaults {
    constructor() {
        super(...arguments);
        this.data = [];
    }
    importDeclaration(ctx) {
        const importData = {};
        importData.static = !!ctx.Static;
        importData.wildcard = !!ctx.Star;
        const images = ctx.packageOrTypeName[0].children.Identifier.map((x) => x.image);
        const nameIndex = images.findIndex((x) => /^[A-Z]/.test(x));
        if (nameIndex >= 0) {
            importData.package = images.slice(0, nameIndex);
            importData.name = images[nameIndex];
            importData.member = images.slice(nameIndex + 1);
        }
        else {
            importData.package = images;
            importData.member = [];
        }
        this.data.push(importData);
        // return super.importDeclaration(ctx)
    }
}
function parseImport(contentOrAst) {
    const v = new ParseImport();
    v.visit(typeof contentOrAst === 'string' ? (0, java_parser_1.parse)(contentOrAst) : contentOrAst);
    return v.data;
}
exports.parseImport = parseImport;
