import { BaseJavaCstVisitorWithDefaults } from 'java-parser';
import { getExpressionValue } from './parse-enum-code';
/**
 * 解析
 * class class X {
 *   public static int a = 123;
 *   private boolean b = true;
 * }
 * // => { a: { type: 'primitive', value: 123, raw: '123' }, b: { type: 'primitive', value: true, raw: 'true' } }
 */
declare class ParseBodyMember extends BaseJavaCstVisitorWithDefaults {
    data: Map<string, {
        value: ReturnType<typeof getExpressionValue>;
        static: boolean;
    }>;
    protected state: {
        inClassMember: boolean;
    };
    fieldDeclaration(ctx: any): void;
}
export declare function parseBodyMember(ast: any): Map<string, {
    value: {
        type: "fqnOrRefType" | "primitive";
        raw: string;
        value: any;
    };
    static: boolean;
}>;
/**
 * 解决嵌套，动态计算的值
 * @param ast
 * @param getAstMapByPackage
 * @param getAstById
 * @param resolveExpressionValue
 * @param map
 */
export declare const resolveImportsValue: (ast: any, { getAstMapByPackage, getAstById, map, resolveExpressionValue }: {
    map?: Map<any, ReturnType<typeof parseBodyMember>>;
    getAstById: (id: string) => any;
    getAstMapByPackage: (packageId: string) => Record<string, any>;
    resolveExpressionValue?: (item: ReturnType<typeof getExpressionValue>, id: string, fieldName: string) => ReturnType<typeof getExpressionValue>;
}) => null | Map<string, ParseBodyMember['data'] | {
    value: ReturnType<typeof getExpressionValue>;
    static: boolean;
}>;
export declare function resolveExpressionValue(item: ReturnType<typeof getExpressionValue>, { _visitMap, id, fieldName, ...opts }: Omit<Parameters<typeof resolveImportsValue>[1], 'resolveExpressionValue'> & {
    _visitMap?: Map<any, any>;
    id: string;
    fieldName: string;
}): any;
export {};
